<html>
<head>
<title>Twitter Style Remaining Character Count using jQuery</title>
<style>
body{width:610px;}
#text-content{padding:10px; border:#F0F0F0 1px solid; border-radius:4px;background-color:#FFF;}
#text-content:focus{outline: 0;}
#character-count{color: #A0A0A0;padding: 15px 0px;}
</style>
<script src="https://code.jquery.com/jquery-2.1.1.min.js" type="text/javascript"></script>
<script>
function count_remaining_character() {
    var max_length = 150;
    var character_entered = $('#text-content').val().length;
	var character_remaining = max_length - character_entered;
	$('#character-count').html(character_remaining);
	if(max_length < character_entered) {
	$('#character-count').css('color','#FF0000');
	} else {
	$('#character-count').css('color','#A0A0A0');
	}
}
</script>
</head>
</body>
<textarea id="text-content" cols="80" rows="4" onKeyup="count_remaining_character()"></textarea>
<div id="character-count" align="right">150</div>
</html>